LibreOffice: SmartTagAction Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
List of all members
SmartTagAction Service Reference

provides one or more actions for smart tags. More...

Inheritance diagram for SmartTagAction:

## Additional Inherited Members
Public Member Functions inherited from XSmartTagAction
string | getName ([in] ::com::sun::star::lang::Locale aLocale)
| obtains a name that describes this action component.
string | getDescription ([in] ::com::sun::star::lang::Locale aLocale)
| obtains a detailed description of this action component.
string | getSmartTagName ([in] long nSmartTagIndex) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| obtains the name of one specific smart tag type supported by this action component.
string | getSmartTagCaption ([in] long nSmartTagIndex, [in] ::com::sun::star::lang::Locale aLocale) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| obtains the caption of the smart tag type for using in user interfaces.
long | getActionCount ([in] string aSmartTagName, [in] com::sun::star::frame::XController xController, [in] com::sun::star::container::XStringKeyMap xProperties)
| obtains the number of actions provided for a specified smart tag type.
long | getActionID ([in] string aSmartTagName, [in] long nActionIndex, [in] com::sun::star::frame::XController xController) raises ( com::sun::star::lang::IllegalArgumentException )
| obtains a unique integer identifier for an action.
string | getActionCaptionFromID ([in] long nActionID, [in] string aApplicationName, [in] ::com::sun::star::lang::Locale aLocale, [in] com::sun::star::container::XStringKeyMap xProperties, [in] string aText, [in] string aXML, [in] com::sun::star::frame::XController xController, [in] com::sun::star::text::XTextRange xTarget) raises ( com::sun::star::lang::IllegalArgumentException )
| obtains a caption for a specified action for use in user interfaces.
string | getActionNameFromID ([in] long nActionID, [in] com::sun::star::frame::XController xController) raises ( com::sun::star::lang::IllegalArgumentException )
| obtains a language independent name of an action.
void | invokeAction ([in] long nActionID, [in] string aApplicationName, [in] com::sun::star::frame::XController xController, [in] com::sun::star::text::XTextRange xTarget, [in] com::sun::star::container::XStringKeyMap xProperties, [in] string aText, [in] string aXML, [in] ::com::sun::star::lang::Locale aLocale) raises ( com::sun::star::lang::IllegalArgumentException )
| invokes an action.
boolean | isCaptionDynamic ([in] long nActionID, [in] string aApplicationName, [in] com::sun::star::frame::XController xController, [in] ::com::sun::star::lang::Locale aLocale) raises ( com::sun::star::lang::IllegalArgumentException )
| determines whether a caption is dynamic.
boolean | isShowSmartTagIndicator ([in] long nActionID, [in] string aApplicationName, [in] com::sun::star::frame::XController xController, [in] ::com::sun::star::lang::Locale aLocale) raises ( com::sun::star::lang::IllegalArgumentException )
| determines whether the smart tag indicator should be visible.
Public Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Attributes inherited from XSmartTagAction
long | SmartTagCount
| the number of smart tag types supported by this action component.

## Detailed Description

provides one or more actions for smart tags.

An implementation of this service defines one or more actions that can be performed for a smart tag which has been recognized by a SmartTagRecognizer service.

Since
  OOo 2.3

The documentation for this service was generated from the following file:

- com/sun/star/smarttags/SmartTagAction.idl